#version 330

// Interpolated values from the vertex shaders
in vec2 TexCoordPass;

// Ouput data
out vec4 Color;

// Values that stay constant for the whole mesh.
uniform sampler2D gTextureSampler;

void main()
{
	// Output color = color of the texture at the specified UV
	Color = texture2D(gTextureSampler, TexCoordPass).rgba;
	/*if (Color.a < 1)
		Color = vec4(texture2D(gTextureSampler, TexCoordPass).rgb, 1);
	else
		Color = texture2D(gTextureSampler, TexCoordPass).rgba;*/
}