#include <gl/glew.h>
#include <iostream>
#include "texture.h"

using namespace std;

Texture::Texture(GLuint wrap_, GLuint min_, GLuint mag_)
{
    setWrap(wrap_);
    setMinFilter(min_);
    setMagFilter(mag_);
}

Texture::~Texture(void)
{
}

void Texture::setMinFilter(GLuint v)
{
    minFilter = v;
}

void Texture::setMagFilter(GLuint v)
{
    magFilter = v;
}

void Texture::setWrapS(GLuint v)
{
    wrapS = v;
}

void Texture::setWrapT(GLuint v)
{
    wrapT = v;
}

void Texture::setWrapR(GLuint v)
{
    wrapR = v;
}

void Texture::setWrap(GLuint v) 
{ 
	setWrapS(v); setWrapT(v); setWrapR(v); 
}


